Skip to content
Start here

Fetch active livestreams for a meeting

client.RealtimeKit.Livestreams.GetMeetingActiveLivestreams(ctx, appID, meetingID, query) (*LivestreamGetMeetingActiveLivestreamsResponse, error)
GET/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/active-livestream

Returns details of all active livestreams for the given meeting ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
appID string

The app identifier tag.

maxLength32
meetingID string
formatuuid
query LivestreamGetMeetingActiveLivestreamsParams
AccountID param.Field[string]Optional

The account identifier tag.

maxLength32
ReturnsExpand Collapse
type LivestreamGetMeetingActiveLivestreamsResponse struct{…}
Data LivestreamGetMeetingActiveLivestreamsResponseDataOptional
ID stringOptional

The livestream ID.

CreatedAt TimeOptional

Timestamp the object was created at. The time is returned in ISO format.

formatdate-time
Disabled stringOptional

Specifies if the livestream was disabled.

IngestServer stringOptional

The server URL to which the RTMP encoder sends the video and audio data.

MeetingID stringOptional
Name stringOptional

Name of the livestream.

PlaybackURL stringOptional

The web address that viewers can use to watch the livestream.

Status LivestreamGetMeetingActiveLivestreamsResponseDataStatusOptional
One of the following:
const LivestreamGetMeetingActiveLivestreamsResponseDataStatusLive LivestreamGetMeetingActiveLivestreamsResponseDataStatus = "LIVE"
const LivestreamGetMeetingActiveLivestreamsResponseDataStatusIdle LivestreamGetMeetingActiveLivestreamsResponseDataStatus = "IDLE"
const LivestreamGetMeetingActiveLivestreamsResponseDataStatusErrored LivestreamGetMeetingActiveLivestreamsResponseDataStatus = "ERRORED"
const LivestreamGetMeetingActiveLivestreamsResponseDataStatusInvoked LivestreamGetMeetingActiveLivestreamsResponseDataStatus = "INVOKED"
StreamKey stringOptional

Unique key for accessing each livestream.

UpdatedAt TimeOptional

Timestamp the object was updated at. The time is returned in ISO format.

formatdate-time
Success boolOptional

Fetch active livestreams for a meeting

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.RealtimeKit.Livestreams.GetMeetingActiveLivestreams(
    context.TODO(),
    "app_id",
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    realtime_kit.LivestreamGetMeetingActiveLivestreamsParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Data)
}
{
  "data": {
    "id": "id",
    "created_at": "2019-12-27T18:11:19.117Z",
    "disabled": "disabled",
    "ingest_server": "ingest_server",
    "meeting_id": "meeting_id",
    "name": "name",
    "playback_url": "playback_url",
    "status": "LIVE",
    "stream_key": "stream_key",
    "updated_at": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}
Returns Examples
{
  "data": {
    "id": "id",
    "created_at": "2019-12-27T18:11:19.117Z",
    "disabled": "disabled",
    "ingest_server": "ingest_server",
    "meeting_id": "meeting_id",
    "name": "name",
    "playback_url": "playback_url",
    "status": "LIVE",
    "stream_key": "stream_key",
    "updated_at": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}